
% PROJECT:		Healthy, Wealthy, & Wise (AHEAD Data)
% FACULTY:		Dan McFadden
% AUTHOR:		Peter Adams
% LAST UPDATE:		February 10, 2003
% PROGRAM DESC:		Output & Set CHECK Variables (Incidence)


%disp(' ');
%disp(upper(inc_txt(k,1)));
%disp('----------------------------------------------------------');


% ===========================================================================
% INCIDENCE AMONG SURVIVORS (mort2==0)
% ===========================================================================

VALID=find(mort2(:,1)==0);
VALID_f=find(mort2(:,1)==0 & male(:,1)==0);
VALID_m=find(mort2(:,1)==0 & male(:,1)==1);

check1{1,2}(k,year)=size(VALID,1);
check1{2,2}(k,year)=size(VALID_f,1);
check1{3,2}(k,year)=size(VALID_m,1);
temp1=[check1{1,2}(k,year) check1{2,2}(k,year) check1{3,2}(k,year)]; 

check2{1,2}(k,year)=mean(nx2(VALID,1),1);
check2{2,2}(k,year)=mean(nx2(VALID_f,1),1);
check2{3,2}(k,year)=mean(nx2(VALID_m,1),1);
temp2=[check2{1,2}(k,year) check2{2,2}(k,year) check2{3,2}(k,year)]; 

%disp(temp1);
%disp(temp2);

res=[res;[ upper(inc_txt(k,1)) num2cell([temp1 temp2])]];


% ===========================================================================
% INCIDENCE AMONG THOSE DEAD (mort2==1)
% ===========================================================================

%VALID=find(mort1(:,1)==0 & mort2(:,1)==1);
%VALID_f=find(mort1(:,1)==0 & mort2(:,1)==1 & male(:,1)==0);
%VALID_m=find(mort1(:,1)==0 & mort2(:,1)==1 & male(:,1)==1);

%check1{1,4}(k,year)=size(VALID,1);
%check1{2,4}(k,year)=size(VALID_f,1);
%check1{3,4}(k,year)=size(VALID_m,1);

%check2{1,4}(k,year)=mean(nx2(VALID,1),1);
%check2{2,4}(k,year)=mean(nx2(VALID_f,1),1);
%check2{3,4}(k,year)=mean(nx2(VALID_m,1),1);



