
% PROJECT:			Healthy, Wealthy, & Wise (AHEAD Data)
% FACULTY:			Dan McFadden
% AUTHOR:			Peter Adams
% LAST UPDATE:		February 9, 2002
% PROGRAM DESC:	Set CHECK Variables (Prevalence: Among Deceased)


% ===========================================================================
% PREVALENCE AMONG DECEASED (mort1==0 & mort2==1)
% ===========================================================================
   
VALID=find(mort1(:,1)==0);
VALID_f=find(mort1(:,1)==0 & male(:,1)==0);
VALID_m=find(mort1(:,1)==0 & male(:,1)==1);

check1{1,4}(1,year)=sum(mort2(VALID,1));
check1{2,4}(1,year)=sum(mort2(VALID_f,1));
check1{3,4}(1,year)=sum(mort2(VALID_m,1));

check2{1,4}(1,year)=mean(mort2(VALID,1),1);
check2{2,4}(1,year)=mean(mort2(VALID_f,1),1);
check2{3,4}(1,year)=mean(mort2(VALID_m,1),1);

for n=1:19;
   
   VALID=find(mort1(:,1)==0 & mort2(:,1)==1);
   VALID_f=find(mort1(:,1)==0 & mort2(:,1)==1 & male(:,1)==0);
   VALID_m=find(mort1(:,1)==0 & mort2(:,1)==1 & male(:,1)==1);
   
   check1{1,4}(n+1,year)=size(VALID,1);
   check1{2,4}(n+1,year)=size(VALID_f,1);
   check1{3,4}(n+1,year)=size(VALID_m,1);
   
   check2{1,4}(n+1,year)=mean(xxsim(VALID,col_prev(n)),1);
   check2{2,4}(n+1,year)=mean(xxsim(VALID_f,col_prev(n)),1);
   check2{3,4}(n+1,year)=mean(xxsim(VALID_m,col_prev(n)),1);
   
end;
